/Users/bernard/b20/bsoft/src/bfile.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bfile.cpp - Program to read file contents directly and poke single values.

SYNOPSIS

#include 'options.h'
#include 'utilities.h'
#include <fstream>

  Functions
int show_block (size_t start, size_t size, unsigned char *buf)
int show_block_hex (size_t start, size_t size, unsigned char *buf)
int show_char (size_t start, size_t size, unsigned char *buf)
int swap_block (size_t size, size_t nbytes, unsigned char *buf)
int show_table (size_t start, size_t size, unsigned char *buf)
int show_structure (size_t start, size_t size, int swap, char *strdef, unsigned char *buf)
int poke_value (fstream *fin, size_t loc, char typechar, double value)
int find_string (const char *string, size_t start, size_t size, unsigned char *buf)
int replace (fstream *fin, char *rstring1, char *rstring2)
char * string2byte (char *string)
size_t string_bytes (char *string)
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to read file contents directly and poke single values.

Author:
    Bernard Heymann

Date:
    Created: 19980129

    Modified: 20130306

Definition in file bfile.cpp.

Function Documentation

  int find_string (const char * string, size_t start, size_t size, unsigned char * buf)

Definition at line 353 of file bfile.cpp.

  int main (int argc, char ** argv)

Definition at line 64 of file bfile.cpp.

  int poke_value (fstream * fin, size_t loc, char typechar, double value)

Definition at line 371 of file bfile.cpp.

  int replace (fstream * fin, char * rstring1, char * rstring2)

Definition at line 409 of file bfile.cpp.

  int show_block (size_t start, size_t size, unsigned char * buf)

Definition at line 191 of file bfile.cpp.

  int show_block_hex (size_t start, size_t size, unsigned char * buf)

Definition at line 209 of file bfile.cpp.

  int show_char (size_t start, size_t size, unsigned char * buf)

Definition at line 227 of file bfile.cpp.

  int show_structure (size_t start, size_t size, int swap, char * strdef, unsigned char * buf)

Definition at line 289 of file bfile.cpp.

  int show_table (size_t start, size_t size, unsigned char * buf)

Definition at line 257 of file bfile.cpp.

  char * string2byte (char * string)

Definition at line 466 of file bfile.cpp.

  size_t string_bytes (char * string)

Definition at line 498 of file bfile.cpp.

  int swap_block (size_t size, size_t nbytes, unsigned char * buf)

Definition at line 243 of file bfile.cpp.

Variable Documentation

  const char* use[]

Definition at line 29 of file bfile.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.